## dde-application-manager 1.2.15

=== api/CMakeLists.txt ===
include(GNUInstallDirs)

file(GLOB DBusAPI ${CMAKE_CURRENT_LIST_DIR}/dbus/*.xml)

install(FILES ${DBusAPI}
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dde-application-manager/)

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
include(GNUInstallDirs)

macro(install_symlink filepath wantsdir)
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/${filepath} ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath})
    install(FILES ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath} DESTINATION lib/systemd/user/${wantsdir}/)
endmacro(install_symlink)

# # systemd service
configure_file(
    systemd/user/org.desktopspec.ApplicationManager1.service.in
    systemd/user/org.desktopspec.ApplicationManager1.service
    @ONLY
)

set(SYSTEMD_USER_FILE
    ${CMAKE_CURRENT_BINARY_DIR}/systemd/user/org.desktopspec.ApplicationManager1.service
)

set(SYSTEMD_USER_DROP_IN_FILE
    ${CMAKE_CURRENT_SOURCE_DIR}/systemd/user/app-DDE-.service.d/override.conf
)

set(SERVICE_DEST_PATH ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/)

install(FILES ${SYSTEMD_USER_FILE} DESTINATION ${SERVICE_DEST_PATH})
install(FILES ${SYSTEMD_USER_DROP_IN_FILE} DESTINATION ${SERVICE_DEST_PATH}/app-DDE-.service.d)

# create a symlink to dde-session
install_symlink(org.desktopspec.ApplicationManager1.service dde-session-initialized.target.wants)

# # dbus activate
configure_file(
    dbus/org.desktopspec.ApplicationManager1.service.in
    dbus/org.desktopspec.ApplicationManager1.service
    @ONLY
)

set(DBUS_APPLICATION_MANAGER_SERVICE_FILE
    ${CMAKE_CURRENT_BINARY_DIR}/dbus/org.desktopspec.ApplicationManager1.service
)

# install to session service directory for now
install(FILES ${DBUS_APPLICATION_MANAGER_SERVICE_FILE}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)

# install dpkg hook
install(FILES ${CMAKE_CURRENT_LIST_DIR}/dpkg/dpkg.cfg.d/am-update-hook
    DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/dpkg/dpkg.cfg.d)

set(HOOKS_DEST_DIR ${CMAKE_INSTALL_DATADIR}/deepin/dde-application-manager/hooks.d)
configure_file(
    hooks.d/2-debFix.json.in
    hooks.d/2-debFix.json
    @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/hooks.d/2-debFix.json
        DESTINATION ${HOOKS_DEST_DIR})

install(FILES ${CMAKE_CURRENT_LIST_DIR}/hooks.d/debFix.sh
        DESTINATION ${AM_LIBEXEC_DIR}
        PERMISSIONS
            OWNER_READ OWNER_EXECUTE OWNER_WRITE
            GROUP_READ GROUP_EXECUTE
            WORLD_READ WORLD_EXECUTE
)

dtk_add_config_meta_files(APPID ${APPLICATION_SERVICEID}
    FILES
    ${CMAKE_CURRENT_LIST_DIR}/dsg/configs/dde-application-manager/org.deepin.dde.am.json
    ${CMAKE_CURRENT_LIST_DIR}/dsg/configs/dde-application-manager/org.deepin.dde.application-manager.json
)

=== apps/app-update-notifier/misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
include(GNUInstallDirs)

configure_file(
    systemd/system/org.desktopspec.ApplicationUpdateNotifier1.service.in
    systemd/system/org.desktopspec.ApplicationUpdateNotifier1.service
    @ONLY
)

set(SYSTEMD_SYSTEM_FILE
    ${CMAKE_CURRENT_BINARY_DIR}/systemd/system/org.desktopspec.ApplicationUpdateNotifier1.service
)

install(FILES ${SYSTEMD_SYSTEM_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/systemd/system/)

configure_file(
    dbus/org.desktopspec.ApplicationUpdateNotifier1.service.in
    dbus/org.desktopspec.ApplicationUpdateNotifier1.service
    @ONLY
)

set(DBUS_APPLICATION_UPDATE_NOTIFIER_SERVICE_FILE
    ${CMAKE_CURRENT_BINARY_DIR}/dbus/org.desktopspec.ApplicationUpdateNotifier1.service
)

install(FILES ${DBUS_APPLICATION_UPDATE_NOTIFIER_SERVICE_FILE}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services)

install(FILES ${CMAKE_CURRENT_LIST_DIR}/dbus/org.desktopspec.ApplicationUpdateNotifier1.conf
    DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system.d)

=== debian/changelog ===
dde-application-manager (1.2.15) unstable; urgency=medium

  * release 1.2.15

 -- Mike Chen <chenke@deepin.org>  Wed, 10 Jul 2024 13:09:51 +0800

dde-application-manager (1.2.14) unstable; urgency=medium

  * release 1.2.14

 -- Mike Chen <chenke@deepin.org>  Wed, 05 Jun 2024 16:35:00 +0800

dde-application-manager (1.2.13) unstable; urgency=medium

  * chore: set apps quit timeout to 3s (https://github.com/linuxdeepin/developer-center/issues/8554)

 -- zsien <quezhiyong@deepin.org>  Wed, 15 May 2024 09:54:55 +0800

dde-application-manager (1.2.12) unstable; urgency=medium

  * release 1.2.12

 -- Mike Chen <chenke@deepin.org>  Tue, 14 May 2024 21:00:43 +0800

dde-application-manager (1.2.11) unstable; urgency=medium

  * release 1.2.11

 -- Mike Chen <chenke@deepin.org>  Sat, 11 May 2024 15:28:44 +0800

dde-application-manager (1.2.10) unstable; urgency=medium

  * fix: crashed when launching a application contains "%U" 
  * fix: revert "crashed when removing a invalid index"

 -- Wang Fei <wangfei@deepin.org>  Fri, 10 May 2024 15:18:39 +0800

dde-application-manager (1.2.9) unstable; urgency=medium

  * fix: dman display nothing

 -- Wang Fei <wangfei@deepin.org>  Thu, 09 May 2024 16:30:30 +0800

dde-application-manager (1.2.8) unstable; urgency=medium

  * release 1.2.8

 -- Mike Chen <chenke@deepin.org>  Tue, 07 May 2024 09:38:22 +0800

dde-application-manager (1.2.7) unstable; urgency=medium

  * feat: Add a hook and wrap all applications in the hook script to start

 -- Zhang kun <zhangkun2@uniontech.com>  Mon, 29 Apr 2024 15:59:14 +0800

dde-application-manager (1.2.6) unstable; urgency=medium

  * feat: Can emit correct remove signal when uninstalling applications patched by deepin-deb-fix

 -- Zhang kun <zhangkun2@uniontech.com>  Fri, 26 Apr 2024 16:35:29 +0800

dde-application-manager (1.2.5) unstable; urgency=medium

  * fix: Return correct mimetype and default app for directories
  * fix: dde-open file failed

 -- dengbo <dengbo@deepin.org>  Tue, 23 Apr 2024 13:54:57 +0800

dde-application-manager (1.2.4) unstable; urgency=medium

  * fix: missing package parsed when ReloadApplicaitons(Issue: https://github.com/linuxdeepin/developer-center/issues/7830)
  * fix: self start setting failed(Issue: https://github.com/linuxdeepin/developer-center/issues/7637)

 -- Zhang kun <zhangkun2@uniontech.com>  Wed, 17 Apr 2024 11:41:02 +0800

dde-application-manager (1.2.3) unstable; urgency=medium

  * fix #7733

 -- Mike Chen <chenke@deepin.org>  Wed, 03 Apr 2024 14:49:14 +0800

dde-application-manager (1.2.2) unstable; urgency=medium

  * feat: add dde-am tool to launch application

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 18:05:10 +0800

dde-application-manager (1.2.1) unstable; urgency=medium

  * fix: gtk app scaled size too big(#7528)
  * chore: add doc describing the behavior of processing exec key
  * chore: update README.md

 -- Mike Chen <chenke@deepin.org>  Mon, 18 Mar 2024 17:18:13 +0800

dde-application-manager (1.2.0) unstable; urgency=medium

  * fix: incorrect scale factor has been set in qt application which load dxcb platform plugin
  * fix: correct launchoptions
  * feat: add GIO_LAUNCHED_DESKTOP_FILE to runtime envs
  * fix: the signal is triggered repeatedly
  * refact: remove processguesser1service
  * feat: add property `LaunchedTimes`
  * feat: set systemd.unit's property `CollectMode` to failed-or-inactive
  * chore: correct typo

 -- He YuMing <heyuming@deepin.org>  Thu, 07 Mar 2024 14:36:10 +0800

dde-application-manager (1.1.9) unstable; urgency=medium

  * feat: add filesystem watcher for reloading applications
  * feat: add app-identifier for convenient
  * refact: suppress warnings and standardize project
  * fix: support ExecSearchPath to prevent systemd from not finding binaries
  * feat: set more scale envs to application

 -- He YuMing <heyuming@deepin.org>  Thu, 22 Feb 2024 15:57:18 +0800

dde-application-manager (1.1.8) unstable; urgency=medium

  * refact: unit test for Job
  * fix: correct autostart source
  * feat: Compatible with URL arguments

 -- He YuMing <heyuming@deepin.org>  Wed, 24 Jan 2024 09:57:50 +0800

dde-application-manager (1.1.7) unstable; urgency=medium

  * fix: call scanMimeInfo and scanAutostart when reloadApplications

 -- He YuMing <heyuming@deepin.org>  Wed, 10 Jan 2024 10:52:16 +0800

dde-application-manager (1.1.6) unstable; urgency=medium

  * refact: scanAutostart and get/set autostart
  * fix: call scanMimeInfo and scanAutostart when reloadApplications
  * fix: append env 'scaleFactor' to deepin-wine application

 -- He YuMing <heyuming@deepin.org>  Fri, 05 Jan 2024 16:21:57 +0800

dde-application-manager (1.1.5) unstable; urgency=medium

  * fix: update location after insertion
  * refact: assuming all applications have been
    launched during AM create storage at first time

 -- He YuMing <heyuming@deepin.org>  Tue, 26 Dec 2023 09:47:20 +0800

dde-application-manager (1.1.4) unstable; urgency=medium

  * release 1.1.4 for Qt 6.6

 -- He YuMing <heyuming@deepin.org>  Wed, 22 Nov 2023 09:32:34 +0800

dde-application-manager (1.1.3) unstable; urgency=medium

  * fix: update infos after app was launched
  * refact: Autostart
  * refact: add some checks
  * fix: prevent invalid unitName cause AM crashed.
  * fix: incorrect behavior of processguesser1service

 -- He YuMing <heyuming@deepin.org>  Thu, 16 Nov 2023 15:39:26 +0800

dde-application-manager (1.1.2) unstable; urgency=medium

  * release 1.1.2 for misc fixup.

 -- He YuMing <heyuming@deepin.org>  Tue, 07 Nov 2023 13:08:59 +0800

dde-application-manager (1.1.1) unstable; urgency=medium

  * release 1.1.1 for api package

 -- He YuMing <heyuming@deepin.org>  Thu, 02 Nov 2023 14:46:23 +0800

dde-application-manager (1.1.0) unstable; urgency=medium

  * release 1.1.0, replace old Application Manager.

 -- He YuMing <heyuming@deepin.org>  Thu, 19 Oct 2023 17:09:46 +0800

dde-application-manager (0.3.0) unstable; urgency=medium



## dde-application-manager 1.2.16+deepin0+rb1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)
project(dde-application-manager
    VERSION 0.2.2
    DESCRIPTION "deepin application manager"
    HOMEPAGE_URL "https://github.com/linuxdeepin/dde-application-manager"
    LANGUAGES C CXX
)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(THREADS_PREFER_PTHREAD_FLAG ON)

add_definitions(-Wall -Wextra -Wpedantic -Wformat)

set(BUILD_EXAMPLES OFF CACHE BOOL "Whether to build examples or not.")
set(DDE_AM_USE_DEBUG_DBUS_NAME OFF CACHE BOOL "build a dbus service using a different bus name for debug.")
set(PROFILING_MODE OFF CACHE BOOL "run a valgrind performance profiling.")

find_package(Qt6 REQUIRED COMPONENTS Core DBus Concurrent)
find_package(Dtk6 REQUIRED COMPONENTS Core)
find_package(Threads REQUIRED)

set(APP_LAUNCH_HELPER_BIN app-launch-helper)
set(APP_UPDATE_NOTIFIER_BIN app-update-notifier)
set(AM_LIBEXEC_DIR ${CMAKE_INSTALL_LIBEXECDIR}/deepin/application-manager)
set(APPLICATION_SERVICEID "org.deepin.dde.application-manager")

if(DDE_AM_USE_DEBUG_DBUS_NAME)
    add_compile_definitions(-DDDE_AM_USE_DEBUG_DBUS_NAME)
endif()

if(PROFILING_MODE)
    add_compile_definitions(-DPROFILING_MODE)
endif()

add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(apps)
add_subdirectory(misc)
add_subdirectory(api)

include(CTest)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

=== apps/CMakeLists.txt ===
add_subdirectory(dde-application-manager)
add_subdirectory(app-launch-helper)
add_subdirectory(app-update-notifier)
add_subdirectory(app-identifier)
add_subdirectory(dde-am)

=== apps/dde-am/src/CMakeLists.txt ===
set(BIN_NAME dde-am)

add_executable(${BIN_NAME} main.cpp
    launcher.h launcher.cpp
)

target_link_libraries(${BIN_NAME} PRIVATE
    dde_am_static
    Dtk6::Core
)

target_include_directories(${BIN_NAME} PRIVATE
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_BINARY_DIR}/src
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
dde-application-manager (1.2.16+deepin0+rb1) unstable; urgency=medium

  * release 1.2.16

 -- tsic404 <liuheng@deepin.org>  Thu, 10 Oct 2024 15:34:38 +0800

=== debian/control ===
Source: dde-application-manager
Section: utils
Priority: optional
Maintainer: He YuMing <heyuming@deepin.org>
Build-Depends: debhelper-compat ( =12), cmake,
 libgtest-dev,
 libsystemd-dev,
 pkg-config,
 qt6-base-dev,
 libdtkcommon-dev,
 libdtk6core-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/linuxdeepin/dde-application-manager

Package: dde-application-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Application manager for DDE.
  Launch applications by systemd for more caps.

Package: dde-application-manager-api
Architecture: any
Depends: dde-application-manager( =${binary:Version}), ${misc:Depends}
Description: DBus Interface of dde-application-manager.
  For the convenience of developers who want to use dde-application-manager.

## dde-application-manager 1.2.27

=== examples/CMakeLists.txt ===
add_subdirectory(launchApp)

=== src/dbus/CMakeLists.txt ===
add_library(dde_am_dbus OBJECT)

file(
    GLOB_RECURSE dde_am_dbus_SOURCE
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.ApplicationManager1.xml dbus/applicationmanager1service.h ApplicationManager1Service)
qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.ApplicationManager1.Application.xml dbus/applicationservice.h ApplicationService)
qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.ApplicationManager1.Instance.xml dbus/instanceservice.h InstanceService)
qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.JobManager1.xml dbus/jobmanager1service.h JobManager1Service)
qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.JobManager1.Job.xml dbus/jobservice.h JobService)
qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.ObjectManager1.xml dbus/applicationmanager1service.h ApplicationManager1Service AMobjectmanager1adaptor AMObjectManagerAdaptor)
qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.ObjectManager1.xml dbus/applicationservice.h ApplicationService APPobjectmanager1adaptor APPObjectManagerAdaptor)
qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.MimeManager1.xml dbus/mimemanager1service.h MimeManager1Service)

target_sources(dde_am_dbus PRIVATE
    ${dde_am_dbus_SOURCE}
)

target_link_libraries(
    dde_am_dbus PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    Dtk6::Core
)

target_include_directories(
    dde_am_dbus PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/..
)

=== apps/dde-application-manager/src/CMakeLists.txt ===
set(BIN_NAME dde-application-manager)

add_executable(${BIN_NAME} main.cpp utils.cpp)

target_link_libraries(${BIN_NAME} PRIVATE
    dde_am_static
)

target_include_directories(${BIN_NAME} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
dde-application-manager (1.2.27) unstable; urgency=medium

  * fix: convert file:// to local path

 -- heyuming <heyuming@deepin.org>  Thu, 10 Apr 2025 16:52:52 +0800

dde-application-manager (1.2.26) unstable; urgency=medium

  * fix: abnormal splitting of parameters enclosed in quotation marks in Exec

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 14 Mar 2025 22:25:23 +0800

dde-application-manager (1.2.25) unstable; urgency=medium

  * release 1.2.25

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 17 Feb 2025 15:36:43 +0800

dde-application-manager (1.2.24) unstable; urgency=medium

  * release 1.2.24

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 23 Jan 2025 17:33:30 +0800

dde-application-manager (1.2.23) unstable; urgency=medium

  * release 1.2.23

 -- ComixHe <heyuming@deepin.org>  Tue, 14 Jan 2025 10:14:54 +0800

dde-application-manager (1.2.22) unstable; urgency=medium

  * release 1.2.22

 -- ChengqiE <echengqi@uniontech.com>  Fri, 10 Jan 2025 14:50:33 +080

dde-application-manager (1.2.21) unstable; urgency=medium

  * release 1.2.21

 -- ChengqiE <echengqi@deepin.org>  Tue, 24 Dec 2024 15:28:38 +080

dde-application-manager (1.2.20) unstable; urgency=medium

  * release 1.2.20

 -- ChengqiE <echengqi@deepin.org>  Fri, 13 Dec 2024 15:28:38 +080

dde-application-manager (1.2.19) unstable; urgency=medium

  * release 1.2.19

 -- ChengqiE <echengqi@deepin.org>  Fri, 6 Dec 2024 14:55:38 +0800

dde-application-manager (1.2.18) unstable; urgency=medium

  * release 1.2.18

 -- ChengqiE <echengqi@deepin.org>  Tue, 26 Nov 2024 09:04:38 +0800

dde-application-manager (1.2.17) unstable; urgency=medium

  * release 1.2.17

 -- ECQZXC <echengqi@deepin.org>  Thu, 31 Oct 2024 15:04:38 +0800

dde-application-manager (1.2.16) unstable; urgency=medium

  * release 1.2.16

 -- tsic404 <liuheng@deepin.org>  Thu, 10 Oct 2024 15:34:38 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt6

%:
	dh $@ --buildsystem=cmake

## dde-application-manager 1.2.28

=== apps/app-update-notifier/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(misc)

=== apps/app-update-notifier/src/CMakeLists.txt ===
add_subdirectory(dbus)

add_executable(${APP_UPDATE_NOTIFIER_BIN} main.cpp)

target_link_libraries(${APP_UPDATE_NOTIFIER_BIN} PRIVATE
    app_update_notifier_static
)

target_include_directories(${APP_UPDATE_NOTIFIER_BIN} PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/src
)

include(GNUInstallDirs)
install(TARGETS ${APP_UPDATE_NOTIFIER_BIN} DESTINATION ${AM_LIBEXEC_DIR})

=== debian/changelog ===
dde-application-manager (1.2.28) unstable; urgency=medium

  * revert the change that validate and remove broken desktop file symlinks

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 17 Apr 2025 17:27:00 +0800

## dde-application-manager 1.2.31

=== debian/changelog ===
dde-application-manager (1.2.31) unstable; urgency=medium

  * fix: spaces in desktop id can cause app failed to launch

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 10:12:23 +0800

dde-application-manager (1.2.30) unstable; urgency=medium

  * fix: Fix unit name error when launch with parameters

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 12 Jun 2025 20:56:12 +0800

dde-application-manager (1.2.29) unstable; urgency=medium

  * fix: when reboot,none-autostart app is incorrectly set to a auto-start icon 
  * feat: Add GenericName handling to DesktopFileGenerator 
  * fix: return value for empty GenericName map in desktop file generator 

 -- Wu Jiangyu <wujiangyu@uniontech.com>  Thu, 05 Jun 2025 16:27:04 +0800

## dde-application-manager 1.2.33

=== examples/launchApp/CMakeLists.txt ===
set(LAUNCHAPP_BIN launchApp)

add_executable(${LAUNCHAPP_BIN} main.cpp)

target_link_libraries(${LAUNCHAPP_BIN} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
)

=== debian/changelog ===
dde-application-manager (1.2.33) unstable; urgency=medium

  * feat: update dde-am tool

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 10 Jul 2025 21:06:51 +0800

dde-application-manager (1.2.32) unstable; urgency=medium

  * fix: add hardening flags to Debian build rules
  * fix: Fix timing issue in ApplicationManager1Service::Identify using
    pidfd_send_signal validation

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:54:43 +0800

## dde-application-manager 1.2.34

=== debian/changelog ===
dde-application-manager (1.2.34) unstable; urgency=medium

  * fix: improve handling of existing desktop files
  * fix: add PartOf directive to systemd service override

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 31 Jul 2025 20:26:08 +0800

## dde-application-manager 1.2.37

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 
 set(APP_LAUNCH_HELPER_BIN app-launch-helper)
 set(APP_UPDATE_NOTIFIER_BIN app-update-notifier)
+set(DDE_AM_COMPATIBILITY_BIN dde-am-compatibility)
 set(AM_LIBEXEC_DIR ${CMAKE_INSTALL_LIBEXECDIR}/deepin/application-manager)
 set(APPLICATION_SERVICEID "org.deepin.dde.application-manager")

=== api/CMakeLists.txt ===
include(GNUInstallDirs)

file(GLOB DBusAPI ${CMAKE_CURRENT_LIST_DIR}/dbus/*.xml)

configure_file(
    ${CMAKE_SOURCE_DIR}/api/DDEApplicationManagerConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/DDEApplicationManagerConfig.cmake
    @ONLY)

install(FILES ${DBusAPI}
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dde-application-manager/)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DDEApplicationManagerConfig.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DDEApplicationManager/)

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,9 @@
             GROUP_READ GROUP_EXECUTE
             WORLD_READ WORLD_EXECUTE
 )
+install(FILES ${CMAKE_CURRENT_LIST_DIR}/bash-completion/dde-am
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
+)
 
 dtk_add_config_meta_files(APPID ${APPLICATION_SERVICEID}
     FILES

=== src/CMakeLists.txt ===
add_subdirectory(dbus)

include(GNUInstallDirs)

configure_file(config.h.in config.h)

set(LIB_NAME dde_am_static)

file(GLOB SRCS ${CMAKE_CURRENT_LIST_DIR}/*.cpp ${CMAKE_CURRENT_LIST_DIR}/*.h)

add_library(${LIB_NAME} STATIC ${SRCS})

target_include_directories(${LIB_NAME} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_link_libraries(${LIB_NAME} PUBLIC
    Threads::Threads
    dde_am_dbus
)

=== tests/CMakeLists.txt ===
set(BIN_NAME "ut-ddeam")

include(FindGTest)
find_package(GTest REQUIRED)

add_compile_definitions(DDEAM_UNIT_TESTING)

file(GLOB_RECURSE TESTS ${CMAKE_CURRENT_LIST_DIR}/*.cpp)

add_executable(${BIN_NAME} ${TESTS})

target_include_directories(${BIN_NAME} PRIVATE
    ${PROJECT_BINARY_DIR}/
)

target_link_libraries(${BIN_NAME} PRIVATE
    GTest::gtest
    dde_am_static
)

target_compile_options(${BIN_NAME} PRIVATE
    -fno-access-control
)

include(GoogleTest)
gtest_discover_tests(${BIN_NAME} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests)

=== apps/app-identifier/src/CMakeLists.txt ===
set(BIN_NAME app-identifier)

add_executable(${BIN_NAME} main.cpp)

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
)

target_include_directories(${BIN_NAME} PRIVATE
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_BINARY_DIR}/src
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== apps/app-launch-helper/src/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
pkg_check_modules(SYSTEMD REQUIRED IMPORTED_TARGET libsystemd)

file(GLOB APP_LAUNCH_HELPER_SOURCE ${CMAKE_CURRENT_LIST_DIR}/*.cpp)

add_executable(${APP_LAUNCH_HELPER_BIN} ${APP_LAUNCH_HELPER_SOURCE})

target_link_libraries(${APP_LAUNCH_HELPER_BIN} PRIVATE
    PkgConfig::SYSTEMD
)

target_include_directories(${APP_LAUNCH_HELPER_BIN} PRIVATE
    ${PROJECT_SOURCE_DIR}/src
)

include(GNUInstallDirs)
install(TARGETS ${APP_LAUNCH_HELPER_BIN} DESTINATION ${AM_LIBEXEC_DIR})

=== apps/app-update-notifier/src/dbus/CMakeLists.txt ===
file(GLOB_RECURSE app_update_notifier_static_SOURCE
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

qt_add_dbus_adaptor(app_update_notifier_static_SOURCE ${CMAKE_CURRENT_LIST_DIR}/../../api/dbus/org.desktopspec.ApplicationUpdateNotifier1.xml dbus/applicationupdatenotifier1service.h ApplicationUpdateNotifier1Service)

add_library(app_update_notifier_static STATIC ${app_update_notifier_static_SOURCE})

target_link_libraries(
    app_update_notifier_static PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
)

target_include_directories(
    app_update_notifier_static PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/..
)

=== debian/changelog ===
dde-application-manager (1.2.37) unstable; urgency=medium

  * refactor: unify XDG directory path handling with merged directory
    functions
  * chore: update license from LGPL to GPL

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:00:06 +0800

dde-application-manager (1.2.36) unstable; urgency=medium

  * feat: add system autostart directory support

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:45:45 +0800

dde-application-manager (1.2.35) unstable; urgency=medium

  * fix(autostart): Simplify autostart validation and improve
    reliability

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 04 Sep 2025 17:34:29 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt6
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

%:
	dh $@ --buildsystem=cmake

## dde-application-manager 1.2.45

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,9 +22,13 @@
 set(DDE_AM_USE_DEBUG_DBUS_NAME OFF CACHE BOOL "build a dbus service using a different bus name for debug.")
 set(PROFILING_MODE OFF CACHE BOOL "run a valgrind performance profiling.")
 
-find_package(Qt6 REQUIRED COMPONENTS Core DBus Concurrent)
+find_package(Qt6 REQUIRED COMPONENTS Core DBus Concurrent WaylandClient Gui)
+if(Qt6_VERSION VERSION_GREATER_EQUAL 6.10)
+    find_package(Qt6 COMPONENTS WaylandClientPrivate REQUIRED)
+endif()
 find_package(Dtk6 REQUIRED COMPONENTS Core)
 find_package(Threads REQUIRED)
+find_package(TreelandProtocols REQUIRED)
 
 set(APP_LAUNCH_HELPER_BIN app-launch-helper)
 set(APP_UPDATE_NOTIFIER_BIN app-update-notifier)

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 add_subdirectory(app-update-notifier)
 add_subdirectory(app-identifier)
 add_subdirectory(dde-am)
+add_subdirectory(dde-autostart)

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,30 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/systemd/user/app-DDE-.service.d/override.conf
 )
 
-set(SERVICE_DEST_PATH ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/)
+set(SERVICE_DEST_PATH ${CMAKE_INSTALL_PREFIX}/lib/systemd/user)
 
 install(FILES ${SYSTEMD_USER_FILE} DESTINATION ${SERVICE_DEST_PATH})
 install(FILES ${SYSTEMD_USER_DROP_IN_FILE} DESTINATION ${SERVICE_DEST_PATH}/app-DDE-.service.d)
 
 # create a symlink to dde-session
-install_symlink(org.desktopspec.ApplicationManager1.service dde-session-initialized.target.wants)
+install_symlink(org.desktopspec.ApplicationManager1.service dde-session-core.target.wants)
+
+# dde-autostart service
+configure_file(
+    systemd/user/dde-autostart.service.in
+    systemd/user/dde-autostart.service
+    @ONLY
+)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/systemd/user/dde-autostart.service DESTINATION ${SERVICE_DEST_PATH})
+install_symlink(dde-autostart.service dde-session.target.wants)
+
+configure_file(
+    systemd/user/dde-autostart@quick-login.service.in
+    systemd/user/dde-autostart@quick-login.service
+    @ONLY
+)
+# just install file, not install symlink, because it will be executed by quick-login
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/systemd/user/dde-autostart@quick-login.service DESTINATION ${SERVICE_DEST_PATH})
 
 # # dbus activate
 configure_file(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,37 @@
 configure_file(config.h.in config.h)
 
 set(LIB_NAME dde_am_static)
+set(UTILS_NAME dde_am_utils)
+
+set(UTILS_SRCS
+    applicationmanagerstorage.cpp
+    applicationmanagerstorage.h
+    desktopentry.cpp
+    desktopentry.h
+    desktopfileparser.cpp
+    desktopfileparser.h
+    global.h
+    constant.h
+    iniParser.h
+    config.h
+    applicationchecker.cpp
+    applicationchecker.h
+)
+
+add_library(${UTILS_NAME} OBJECT ${UTILS_SRCS})
+
+target_include_directories(${UTILS_NAME} PUBLIC
+    ${CMAKE_CURRENT_SOURCE_DIR}
+    ${CMAKE_CURRENT_BINARY_DIR}
+)
+
+target_link_libraries(${UTILS_NAME} PUBLIC
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+)
 
 file(GLOB SRCS ${CMAKE_CURRENT_LIST_DIR}/*.cpp ${CMAKE_CURRENT_LIST_DIR}/*.h)
+list(REMOVE_ITEM SRCS ${UTILS_SRCS})
 
 add_library(${LIB_NAME} STATIC ${SRCS})
 
@@ -18,4 +47,5 @@
 target_link_libraries(${LIB_NAME} PUBLIC
     Threads::Threads
     dde_am_dbus
+    ${UTILS_NAME}
 )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 target_include_directories(${BIN_NAME} PRIVATE
     ${PROJECT_BINARY_DIR}/
+    ${PROJECT_BINARY_DIR}/src/dbus
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
@@ -23,4 +24,4 @@
 )
 
 include(GoogleTest)
-gtest_discover_tests(${BIN_NAME} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests)
+gtest_discover_tests(${BIN_NAME} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

=== apps/dde-autostart/CMakeLists.txt ===
set(BIN_NAME dde-autostart)

set(SRCS
    main.cpp
)

add_executable(${BIN_NAME} ${SRCS})

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk6::Core
    dde_am_utils
)

install(TARGETS ${BIN_NAME}
    DESTINATION ${AM_LIBEXEC_DIR}
)

=== src/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,15 @@
 qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.ObjectManager1.xml dbus/applicationservice.h ApplicationService APPobjectmanager1adaptor APPObjectManagerAdaptor)
 qt_add_dbus_adaptor(dde_am_dbus_SOURCE ${PROJECT_SOURCE_DIR}/api/dbus/org.desktopspec.MimeManager1.xml dbus/mimemanager1service.h MimeManager1Service)
 
+if (NOT DEFINED TREELAND_PROTOCOLS_DATA_DIR)
+    message(FATAL_ERROR "TREELAND_PROTOCOLS_DATA_DIR not set by TreelandProtocols package")
+endif()
+
+qt_generate_wayland_protocol_client_sources(dde_am_dbus
+    FILES
+        ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-prelaunch-splash-v1.xml
+)
+
 target_sources(dde_am_dbus PRIVATE
     ${dde_am_dbus_SOURCE}
 )
@@ -24,11 +33,15 @@
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::DBus
     Qt${QT_VERSION_MAJOR}::Concurrent
+    Qt${QT_VERSION_MAJOR}::WaylandClient
+    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
     Dtk6::Core
+    dde_am_utils
 )
 
 target_include_directories(
     dde_am_dbus PUBLIC
     ${CMAKE_CURRENT_SOURCE_DIR}/..
     ${CMAKE_CURRENT_BINARY_DIR}/..
+    ${CMAKE_CURRENT_BINARY_DIR}
 )

=== apps/dde-am/src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 add_executable(${BIN_NAME} main.cpp
     launcher.h launcher.cpp
+    commandexecutor.h commandexecutor.cpp
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE

=== apps/dde-application-manager/src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 target_link_libraries(${BIN_NAME} PRIVATE
     dde_am_static
+    Qt6::Gui
 )
 
 target_include_directories(${BIN_NAME} PRIVATE

=== debian/changelog ===
dde-application-manager (1.2.45) unstable; urgency=medium

  * fix: update systemd service dependencies for ApplicationManager1
  * feat: dde-am resolve command to full path before execution

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Feb 2026 19:26:36 +0800

dde-application-manager (1.2.44) unstable; urgency=medium

  * refactor: fix most compiler and clazy warnings
  * test: fix relative paths in test cases
  * fix(build): change working directory of gtest_discovery_tests
  * fix(build): remove trailing slash in SERVICE_DEST_PATH to resolve
    CMP0177

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 Jan 2026 20:22:56 +0800

dde-application-manager (1.2.43) unstable; urgency=medium

  * fix: add MIME info change detection and reload
  * fix: set DSG_APP_ID to prevent self-identification deadlock
  * fix: Fix Linglong upgrade repeatedly sending remove signal
  * fix: cmake error about WaylandClientPrivate not found (#319)

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 23 Jan 2026 10:25:56 +0800

dde-application-manager (1.2.42) unstable; urgency=medium

  * feat: add command execution support to dde-am
  * feat: add autostart launch option to suppress splash screen
  * chore: harden systemd service security
  * feat(app-launch-helper): normalize ExecSearchPath before sending to
    D-Bus
  * fix: use valid object path for executeCommand return value

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 25 Dec 2025 19:30:00 +0800

dde-application-manager (1.2.41) unstable; urgency=medium

  * fix: Avoid autostart service being executed twice

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 19 Dec 2025 14:25:06 +0800

dde-application-manager (1.2.40) unstable; urgency=medium

  * fix: remove DPKG_EXPORT_BUILDFLAGS flag
  * feat: support Path key in desktop file
  * fix: address multiple code review issues
  * refactor: migrate from QScopedPointer to std::unique_ptr
  * chore: update build dependencies for wayland support
  * fix: add wayland buffer release handling
  * fix: improve prelaunch splash helper memory management
  * feat: add application icon support to prelaunch splash
  * refactor: improve Wayland detection and splash protocol
  * chore: add qt6-wayland-dev to build dependencies
  * feat: add Wayland prelaunch splash screen support

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 18 Dec 2025 19:47:08 +0800

dde-application-manager (1.2.39) unstable; urgency=medium

  * feat: api for run non-app commands
  * docs: add package manager hook documentation and security fixes
  * fix: avoid wordexp escape two dollar sign in file name

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 11 Dec 2025 20:32:13 +0800

dde-application-manager (1.2.38) unstable; urgency=medium

  * feat: support quick login autostart
  * feat: implement dde-autostart service

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 27 Nov 2025 17:26:36 +0800

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,11 @@
  qt6-base-dev,
  libdtkcommon-dev,
  libdtk6core-dev,
+ treeland-protocols,
+ qt6-wayland-dev,
+ qt6-base-private-dev,
+ qt6-wayland-private-dev,
+ libxkbcommon-dev,
 Standards-Version: 4.5.0
 Homepage: https://github.com/linuxdeepin/dde-application-manager

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-DPKG_EXPORT_BUILDFLAGS = 1
+
 include /usr/share/dpkg/default.mk
 export QT_SELECT = qt6
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
